PlayerTCP Class Reference

## Public Member Functions

void | Lock ()
void | Unlock ()
int | Listen (int *ports, int num_ports, int *new_ports=NULL)
int | Listen (int port)
QueuePointer | AddClient (struct sockaddr_in *cliaddr, unsigned int local_host, unsigned int local_port, int newsock, bool send_banner, int *kill_flag, bool have_lock)
QueuePointer | AddClient (struct sockaddr_in *cliaddr, unsigned int local_host, unsigned int local_port, int newsock, bool send_banner, int *kill_flag, bool have_lock, QueuePointer queue)
int | Update (int timeout)
int | Accept (int timeout)
void | Close (int cli)
int | ReadClient (int cli)
int | ReadClient (QueuePointer q)
int | Read (int timeout, bool have_lock)
int | Write (bool have_lock)
int | WriteClient (int cli)
void | DeleteClients ()
void | ParseBuffer (int cli)
int | HandlePlayerMessage (int cli, Message *msg)
void | DeleteClient (QueuePointer &q, bool have_lock)
bool | Listening (int port)
uint32_t | GetHost ()

## Static Public Member Functions

static void | InitGlobals (void)

## Public Attributes

pthread_t | thread

## Private Attributes

uint32_t | host
int | num_listeners
playertcp_listener * | listeners
struct pollfd * | listen_ufds
pthread_mutex_t | clients_mutex
int | size_clients
int | num_clients
playertcp_conn * | clients
struct pollfd * | client_ufds
char * | decode_readbuffer
| Buffer in which to store decoded incoming messages.
int | decode_readbuffersize
| Total size of `decode_readbuffer`.

The documentation for this class was generated from the following file:

- playertcp.h

Last updated 12 September 2005 21:38:45